Skip to main content
`Ctrl`+`K`

# TaoComputeVariableBounds

Compute the variable bounds using the routine set by `TaoSetVariableBoundsRoutine()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeVariableBounds(Tao tao)

Collective

## Input Parameter

- tao - the `Tao` context

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetVariableBoundsRoutine()`, `TaoSetVariableBounds()`

## Level

developer

## Location

src/tao/interface/taosolver_bounds.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages